.signup-card h2 {
    font-size: 1.5rem;
    font-weight: 600;
    line-height: 1;
    margin-bottom: .5em;
    color: var(--primary-color);
}
.signup-card .agree-desc {
    line-height: 1.5;
    margin-bottom: 1.5em;
}

.signup-card .agree-all {
    display: block;
    padding: 1rem;
    border: var(--input-border);
    font-size: 1.25rem;
    margin-bottom: 2rem;
    border-radius: 8px;
}

.signup-card .checkbox-label {
    display: flex;
    align-items: center;
    justify-content: flex-start;
    gap: .75em;
}
.signup-card .checkbox-label > input[type="checkbox"] {
    width: 1.5em;
    height: 1.5em;
}
.signup-card .checkbox-label:has(input[type="checkbox"]:checked) > .checkbox-text {
    font-weight: 600;
}

.signup-card .agree-list {
    display: flex;
    flex-direction: column;
    gap: 1px;
    flex-wrap: wrap;
    justify-content: flex-start;
    list-style: none;
    background-color: var(--input-border);
    margin-bottom: 2rem;
}
.signup-card .agree-list > li.agree-item {
    display: flex;
    flex-direction: column;
    gap: .5em;
    flex-wrap: wrap;
    justify-content: flex-start;
    background-color: var(--bg-02);
    padding: 1em 0;
    position: relative;
}
.signup-card .agree-list > li.agree-item .agree-link {
    position: absolute;
    display: inline-flex;
    align-items: center;
    justify-content: flex-end;
    width: auto;
    height: 100%;
    flex-wrap: nowrap;
    top: 0;
    right: 1rem;
    font-size: .875rem;
}
.signup-card .agree-list > li.agree-item .agree-link::after {
    content: '';
    display: inline-block;
    width: 0.5em;
    height: 0.5em;
    border-right: 1px solid currentColor;
    border-bottom: 1px solid currentColor;
    transform: rotate(-45deg);
    margin-left: .25em;
}
.signup-card .agree-list > li.agree-item .agree-item-desc {
    font-size: .875rem;
    font-weight: 200;
    padding: 0 4rem 0 2rem;
}
.signup-card .agree-list > li.agree-item .required {
    display: inline-block;
    font-size: .75em;
    color: var(--primary-color);
    background-color: var(--bg-05);
    padding: 0.25em 0.5em;
    line-height: 1;
}
.signup-card .agree-list > li.agree-item .optional {
    display: inline-block;
    font-size: .75em;
    color: var(--text-02);
    background-color: var(--bg-06);
    padding: 0.25em 0.5em;
    line-height: 1;
}
.signup-card .agree-list > li.agree-info {
    display: flex;
    flex-direction: row;
    gap: .5em;
    flex-wrap: nowrap;
    align-items: baseline;
    justify-content: flex-start;
    background-color: var(--bg-06);
    padding: 1em 2rem;
}
.signup-card .agree-list > li.agree-info span, .signup-card .agree-list > li.agree-info p {
    font-size: 1em;
    line-height: 1.3;
    color: var(--link);
}

.signup-card .go-back-wrap {
    display: block;
    width: 100%;
    height: auto;
    margin-top: 1rem;
    text-align: center;
    font-size: 1.125em;
}
.signup-card .go-back-wrap .go-back {
    display: inline-block;
    position: relative;
    padding: .5em 1em;
    font-weight: 600;
}
.signup-card .go-back-wrap .go-back::before {
    content: '';
    display: inline-block;
    width: 0.5em;
    height: 0.5em;
    border-left: 2px solid currentColor;
    border-bottom: 2px solid currentColor;
    transform: rotate(45deg) translateY(-10%);
    margin-left: .25em;
}

@media (max-width: 500px) {
    .signup-card .agree-list > li.agree-item .agree-item-desc {
        padding: 0 2rem 0 2rem;
    }
}

@media (max-height: 1100px) {
    .signup-page {
        display: block;
        width: 100%;
        height: auto;
        position: initial;
        height: auto;
    }
    .site-footer {
        position: initial;
        bottom: unset;
        margin-top: 40px;
        margin-bottom: 20px;
    }
}

